Summary: Bochs Project x86 PC Emulator
Name: bochs
Version: 2.1
Release: 1
License: LGPL
Group: Applications/Emulators
URL:http://bochs.sourceforge.net
#Packager:Bryce Denney <bryce.denney@bigfoot.com>
Source0: bochs-%{version}.tar.bz2
Source1: dlxlinux4.tar.gz
Source2: bochsdoc.tar.gz
Patch0: bochs-2.1-rpm_opt_flags.patch
Patch1: bochs-2.1-no_download.patch
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Bochs is a portable x86 PC emulation software package that emulates enough of
the x86 CPU, related AT hardware, and BIOS to run DOS, Windows '95, Minix 2.0,
and other OS's, all on your workstation. 

%ifnarch i586 i686 athlon
%package doc
Group: Documentation
Summary: Documentation for Bochs Project x86 PC Emulator

%description doc
Bochs is a portable x86 PC emulation software package that emulates enough of
the x86 CPU, related AT hardware, and BIOS to run DOS, Windows '95, Minix 2.0,
and other OS's, all on your workstation. 

This package contains documentation for Bochs.
%endif

%prep
%setup
%patch0 -p1
%patch1 -p1
%{__install} -m 0644 %{SOURCE1} $RPM_BUILD_DIR/%{name}-%{version}/
%{__install} -m 0644 %{SOURCE2} $RPM_BUILD_DIR/%{name}-%{version}/doc/docbook/

%build
CONFIGURE_ARGS="--prefix=%{_prefix} --mandir=$RPM_BUILD_ROOT/%{_mandir}"
export CONFIGURE_ARGS RPM_OPT_FLAGS
sh .conf.linux
make %{?_smp_mflags}
make unpack_dlx

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT{%{_prefix},%{_libdir},%{_datadir},%{_mandir}}
make install install_dlx prefix=$RPM_BUILD_ROOT%{_prefix}

# Build list of plugins on the fly (if any).  This allows the
# spec file to support RPM building with or without plugins.
pushd $RPM_BUILD_ROOT
find .%{_libdir} -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
  $RPM_BUILD_DIR/%{name}-%{version}/file.list.%{name}
find .%{_libdir} -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
  -e '/\/etc\//s|^|%config|' >> \
  $RPM_BUILD_DIR/%{name}-%{version}/file.list.%{name}
find .%{_libdir} -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
  $RPM_BUILD_DIR/%{name}-%{version}/file.list.%{name}
# We could use the same technique to produce the complete file list,
# with only one very minor problem: it lists directories that are
# used by other programs, so when you remove the package you get
# errors like
#   error: cannot remove /usr/share/doc - directory not empty
popd

%{__rm} -rf $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}

%files -f file.list.%{name}
%defattr(-, root, root)
%doc COPYING CHANGES README README-plugins README-wxWindows
%doc dlxlinux/bochsrc.txt
%{_bindir}/bochs
%{_bindir}/bochs-dlx
%{_bindir}/bxcommit
%{_bindir}/bximage
%{_datadir}/%{name}/*
%{_mandir}/man?/*

%ifnarch i586 i686 athlon
%files doc
%defattr(-, root, root)
%doc docs-html
%doc doc/docbook/development
%doc doc/docbook/documentation
%doc doc/docbook/images
%doc doc/docbook/index.html
%doc doc/docbook/user
%endif

%clean
rm -rf $RPM_BUILD_DIR/bochs-2.1
rm -rf $RPM_BUILD_DIR/file.list.%{name}
if test "/" != $RPM_BUILD_ROOT; then
  rm -rf $RPM_BUILD_ROOT
fi

%preun
# clean up the bochsout.txt that is always produced if you 
# run bochs-dlx.
rm -rf %{_datadir}/%{name}/dlxlinux/bochsout.txt core

%postun
rmdir %{_datadir}/%{name} > /dev/null 2>&1

%changelog
* Fri Feb 13 2004 Peter Hanecak <hanecak@megaloman.sk> 2.1-1
- adapted to Doors Linux
- .bz2 source archiv
- %%{_tmppath} used for build root
- %%{?_smp_mflags} used with 'make'
- RPM_OPT_FLAGS used
- doc subpackage
